# `OpenMPI_jll.jl` (v5.0.2+0)

[![deps](https://juliahub.com/docs/OpenMPI_jll/deps.svg)](https://juliahub.com/ui/Packages/OpenMPI_jll/UdERG?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/1e98fb5e392b5b14958f51c43979bacb3f1fc206/O/OpenMPI/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `OpenMPI_jll.jl` have been built from these sources:

* compressed archive: https://download.open-mpi.org/release/open-mpi/v5.0/openmpi-5.0.2.tar.gz (SHA256 checksum: `095ab1cddb0fa0f9e7fc211a1d33185c6727c5237d0ee55f80a7e4311e5d279c`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/1e98fb5e392b5b14958f51c43979bacb3f1fc206/O/OpenMPI/bundled)

## Platforms

`OpenMPI_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran5-mpi+openmpi`)
* `Linux aarch64 {libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran3-mpi+openmpi`)
* `Linux aarch64 {libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran4-mpi+openmpi`)
* `Linux aarch64 {libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran5-mpi+openmpi`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran5-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran3-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran4-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran5-mpi+openmpi`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran3-mpi+openmpi`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran4-mpi+openmpi`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran5-mpi+openmpi`)

## Dependencies

The following JLL packages are required by `OpenMPI_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`Hwloc_jll`](https://github.com/JuliaBinaryWrappers/Hwloc_jll.jl)
* [`MPIPreferences`](https://github.com/JuliaBinaryWrappers/MPIPreferences.jl)
* [`PMIx_jll`](https://github.com/JuliaBinaryWrappers/PMIx_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`libevent_jll`](https://github.com/JuliaBinaryWrappers/libevent_jll.jl)
* [`prrte_jll`](https://github.com/JuliaBinaryWrappers/prrte_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libmpi`
* `ExecutableProduct`: `mpiexec`
